<?php
if (class_exists("WPBakeryShortCode")) {
	/*-------------------------------------
	| SECTION HEADING 
	|-------------------------------------*/	
	vc_map( array(
		"name" => esc_html__("Section Title", 'listio'),
		"description" => esc_html__("Heading or section title will show.", 'listio'),
		"base" => "listio_heading",
		"class" => "",
		"controls" => "full",
		"icon" =>  plugins_url( 'logo.png', __FILE__ ),			
		"category" => esc_html__('Listio', 'listio'),
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => "Section Title",
				"param_name" => "sec_title",
				'admin_label' => true,
				"description" => ""
			)			
		)
	) );	
	
	/*-------------------------------------
	| RECNT PROPERTIES 
	|-------------------------------------*/	
	$property_cat = get_terms('property_category', array('hide_empty' => false));
	$property_category = array();
	foreach($property_cat as $cat_taxonomy) {
		$property_category[$cat_taxonomy->name] = $cat_taxonomy->term_id;
	}
	$pc = array_unshift($property_category, "All");
	
	$property_type = get_terms('property_type_category', array('hide_empty' => false));
	$property_type_cat = array();
	foreach($property_type as $type_taxonomy) {
		$property_type_cat[$type_taxonomy->name] = $type_taxonomy->term_id;
	}
	$ptc = array_unshift($property_type_cat, "All");
	
	vc_map( array(
		"name" => esc_html__("Recent Properties", 'listio'),
		"description" => esc_html__("Recent properties will show.", 'listio'),
		"base" => "recent_properties",
		"class" => "",
		"controls" => "full",		
		"icon" =>  plugins_url( 'logo.png', __FILE__ ),	
		"category" => esc_html__('Listio', 'listio'),
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => "Number",
				"param_name" => "post_count",
				'admin_label' => true,
				"value" => 4,
				"description" => "Number of Properties"
			),	
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"heading" => __("Category", "listio"),
				"param_name" => "cat_taxonomy",
				"value" => $property_category,
				"description" => "Select category of Properties"
			),	
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"heading" => __("Type", "listio"),
				"param_name" => "type_taxonomy",
				"value" => $property_type_cat,
				"description" => "Select type of Properties"
			),			
		)
	) );


	/*-------------------------------------
	| PROPERTY SEARCH 
	|-------------------------------------*/	
	vc_map( array(
		"name" => esc_html__("Property search", 'listio'),
		"description" => esc_html__("Property search section", 'listio'),
		"base" => "property_search",
		"class" => "",
		"controls" => "full",
		"icon" =>  plugins_url( 'logo.png', __FILE__ ),			
		"category" => esc_html__('Listio', 'listio'),
		"params" => array(
			array(
				"type" => "text",
				"param_name" => "info_field",
				"heading" => "Select property search input field",
				"description" => "Select the field you want ot display in the search section"
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "City",
				"param_name" => "sear_city",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Country",
				"param_name" => "sear_country",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Keywords",
				"param_name" => "sear_keyword",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Property ID",
				"param_name" => "sear_id",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Min price",
				"param_name" => "sear_min",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Max price",
				"param_name" => "sear_max",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Bedrooms",
				"param_name" => "sear_bed",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Bathrooms",
				"param_name" => "sear_bath",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Property Category",
				"param_name" => "sear_cat",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"heading" => "Property Type",
				"param_name" => "sear_type",
				"description" => ""
			)			
		)
	) );	


	/*-------------------------------------
	| FEATURED PROPERTIES 
	|-------------------------------------*/	
	
	vc_map( array(
		"name" => esc_html__("Featured Properties", 'listio'),
		"description" => esc_html__("Featured properties will show.", 'listio'),
		"base" => "featured_properties",
		"class" => "",
		"controls" => "full",		
		"icon" =>  plugins_url( 'logo.png', __FILE__ ),	
		"category" => esc_html__('Listio', 'listio'),
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => "Number",
				"param_name" => "post_count",
				'admin_label' => true,
				"value" => 4,
				"description" => "Number of Properties"
			),	
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"heading" => __("Category", "listio"),
				"param_name" => "cat_taxonomy",
				"value" => $property_category,
				"description" => "Select category of Properties"
			),	
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"heading" => __("Type", "listio"),
				"param_name" => "type_taxonomy",
				"value" => $property_type_cat,
				"description" => "Select type of Properties"
			),			
		)
	) );	

	/*-------------------------------------
	| CLIENT TESTIMONIAL 
	|-------------------------------------*/	
	vc_map( array(
		"name" => esc_html__("Client Testimonail", 'listio'),
		"description" => esc_html__("Client testimonial will show.", 'listio'),
		"base" => "listio_testimonials",
		"class" => "",
		"controls" => "full",
		"icon" =>  plugins_url( 'logo.png', __FILE__ ),			
		"category" => esc_html__('Listio', 'listio'),
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => "Number of Testimonail",
				"param_name" => "post_count",
				'admin_label' => true,
				"value" => "-1",
				"description" => "Ex: -1 for all. But you can specify the number like 4, 8, 10 etc."
			)			
		)
	) );	

	/*-------------------------------------
	| AGENTS
	|-------------------------------------*/	
	vc_map( array(
		"name" => esc_html__("Our Agents", 'listio'),
		"description" => esc_html__("Agents will show.", 'listio'),
		"base" => "listio_agents",
		"class" => "",
		"controls" => "full",
		"icon" =>  plugins_url( 'logo.png', __FILE__ ),			
		"category" => esc_html__('Listio', 'listio'),
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => "Number of Agent",
				"param_name" => "post_count",
				'admin_label' => true,
				"value" => "4",
				"description" => "Ex: 4"
			)			
		)
	) );	
	
	
}


